# DataUtils

Package io.milvus.v2.utils

## Class DataUtils

- java.lang.Object
- - io.milvus.v2.utils.DataUtils

    public class DataUtils
    extends java.lang.Object

### Constructor Summary

Constructors
`DataUtils()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`io.milvus.grpc.InsertRequest` `buildInsertRequest()`
`io.milvus.grpc.InsertRequest` `convertGrpcInsertRequest​(@NonNull InsertReq requestParam, DescCollResponseWrapper wrapper)`
`io.milvus.grpc.UpsertRequest` `convertGrpcUpsertRequest​(@NonNull UpsertReq requestParam, DescCollResponseWrapper wrapper)`
`static java.util.HashMap<io.milvus.grpc.DataType,​java.lang.String>` `getTypeErrorMsg()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataUtils

    public DataUtils()

### Method Detail

#### convertGrpcInsertRequest

    public io.milvus.grpc.InsertRequest convertGrpcInsertRequest​(@NonNull
                                                                 @NonNull InsertReq requestParam,
                                                                 DescCollResponseWrapper wrapper)

#### convertGrpcUpsertRequest

    public io.milvus.grpc.UpsertRequest convertGrpcUpsertRequest​(@NonNull
                                                                 @NonNull UpsertReq requestParam,
                                                                 DescCollResponseWrapper wrapper)

#### buildInsertRequest

    public io.milvus.grpc.InsertRequest buildInsertRequest()

#### getTypeErrorMsg

    public static java.util.HashMap<io.milvus.grpc.DataType,​java.lang.String> getTypeErrorMsg()